LibreOffice: ResourceId Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
ResourceId Service Reference

The ResourceId service provides several constructors for resource ids. More...

`import"ResourceId.idl";`

Inheritance diagram for ResourceId:

## Public Member Functions
| createEmpty ()
| Create an empty resource id. More...
| create ([in] string sResourceURL)
| Create a resource id that has no anchor. More...
| createWithAnchor ([in] string sResourceURL, [in] XResourceId xAnchor)
| Create a resource id for an anchor that is given as XResourceId object. More...
| createWithAnchorURL ([in] string sResourceURL, [in] string sAnchorURL)
| Create a resource id for a resource that is bound to an anchor that can be specified by a single URL. More...
Public Member Functions inherited from XResourceId
string | getResourceURL ()
| Return the URL of the resource. More...
com::sun::star::util::URL | getFullResourceURL ()
| Return an URL object of the resource URL that may contain arguments. More...
boolean | hasAnchor ()
| Return whether there is a non-empty anchor URL. More...
XResourceId | getAnchor ()
| Return a new XResourceId that represents the anchor resource. More...
sequence< string > | getAnchorURLs ()
| Return the, possibly empty, list of anchor URLs. More...
string | getResourceTypePrefix ()
| Return the type prefix of the resource URL. More...
short | compareTo ([in] XResourceId xId)
| Compare the called XResourceId object with the given one. More...
boolean | isBoundTo ([in] XResourceId xAnchorId, [in] AnchorBindingMode eMode)
| Return whether the anchor of the called resource id object represents the same resource as the given object. More...
boolean | isBoundToURL ([in] string AnchorURL, [in] AnchorBindingMode eMode)
| Return whether the anchor of the called resource id object represents the same resource as the given anchor URL. More...
XResourceId | clone ()
| Return a copy of the called resource id. More...

## Detailed Description

The ResourceId service provides several constructors for resource ids.

They mainly differ in how the anchor is specified.

## Member Function Documentation

## ◆ create()

create | ( | [in] string | sResourceURL | ) |

Create a resource id that has no anchor.

This constructor can be used to create resource ids for panes.

## ◆ createEmpty()

createEmpty | ( |  | ) |

Create an empty resource id.

It does not specify a specific resource but describes the absence of one.

## ◆ createWithAnchor()

createWithAnchor | ( | [in] string | sResourceURL,
|  | [in] XResourceId | xAnchor
| ) |  |

Create a resource id for an anchor that is given as XResourceId object.

This is the most general of the constructor variants.

## ◆ createWithAnchorURL()

createWithAnchorURL | ( | [in] string | sResourceURL,
|  | [in] string | sAnchorURL
| ) |  |

Create a resource id for a resource that is bound to an anchor that can be specified by a single URL.

This constructor can be used to create resources ids for views where the anchor is a pane.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/framework/ResourceId.idl